aboutsummaryrefslogtreecommitdiffstats
path: root/packaging
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2020-03-03 08:28:39 -0800
committerGerald Combs <gerald@wireshark.org>2020-03-03 17:22:30 +0000
commit290ddeeed4947d88a5cb8f13e500a3ff67783e22 (patch)
tree67be43210ec19a9c867085379aca75a3579b2538 /packaging
parent9f3a335f459de8ac4eb5521f2c7e1820e95e2dfe (diff)
macOS: Make the dmg_package target fail noisily.
Change-Id: I479c9f13b9695d78d47b698a14cda0989724c639 Reviewed-on: https://code.wireshark.org/review/36270 Petri-Dish: Gerald Combs <gerald@wireshark.org> Tested-by: Petri Dish Buildbot Reviewed-by: Dario Lombardo <lomato@gmail.com> Tested-by: Dario Lombardo <lomato@gmail.com> Reviewed-by: Gerald Combs <gerald@wireshark.org>
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/macosx/osx-dmg.sh.in7
1 files changed, 7 insertions, 0 deletions
diff --git a/packaging/macosx/osx-dmg.sh.in b/packaging/macosx/osx-dmg.sh.in
index 9967d83953..3934a12f85 100755
--- a/packaging/macosx/osx-dmg.sh.in
+++ b/packaging/macosx/osx-dmg.sh.in
@@ -2,6 +2,8 @@
#
# The script creates a disk image using the dmgbuild utility and signs it.
+set -e
+
# Defaults
dmgbuild="@DMGBUILD_EXECUTABLE@"
version="@VERSION@"
@@ -27,6 +29,11 @@ dmgbuild-settings.py.in.
"
}
+if [ ! -x "$dmgbuild" ] ; then
+ echo "Error: \"$dmgbuild\" not found."
+ exit 1
+fi
+
# Parse command line arguments
while [ "$1" != "" ]
do